import {async, ComponentFixture, TestBed} from '@angular/core/testing';

import {VersionComponent} from './version.component';
import {environment} from '../../environments/environment';

describe('VersionComponent', () => {
  let component: VersionComponent;
  let fixture: ComponentFixture<VersionComponent>;

  beforeEach(async(() => {
    TestBed.configureTestingModule({
      declarations: [VersionComponent]
    })
      .compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(VersionComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  it('should contain the correct version', () => {
    // when executing the test, we're always running with the dev environment
    expect(component.VERSION).toEqual(`${environment.appVersion} (development build)`);
  });

  it('should have the correct value for the "production" property', () => {
    // when executing the test, we're always running with the dev environment
    expect(component.PROD).toBeFalsy();
  });
});
